Bug 129748 - Perl doesn't provide Carp::Heavy even if it's delivered
Perl doesn't provide Carp::Heavy even if it's delivered
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2004-08-12 10:29 EDT by Robert Scheck
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-25 19:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-08-12 10:29:33 EDT
Description of problem:
If I want to install a perl module rpm (third-party) which requires 
Carp::Heavy, I'm not able to do, because of this missing dependency.

But please have a look: 

--- snipp ---
# rpm -ql perl | grep Carp/H
--- snapp ---

Woho, perl provides this module, but the rpm still doesn't. It seems  
to be the same problem like bug #128507 from Fedora Development.

Version-Release number of selected component (if applicable):

Actual results:
The following (merged from Fedora Development) solves that problem 
for me:

--- snipp ---
--- perl.spec       2003-09-15 15:59:17.000000000 +0200
+++ perl.spec.rsc   2004-08-12 16:21:29.000000000 +0200
@@ -265,6 +265,8 @@
 Provides: perl(utf8_heavy.pl)
 Provides: perl(validate.pl)

+Provides: perl(Carp::Heavy)
 # These modules appear to be missing or break assumptions made by the
 # dependency analysis tools.  Typical problems include refering to
 # CGI::Apache as Apache and having no package line in CPAN::Nox.pm. I
@@ -660,6 +662,9 @@

+* Thu Aug 12 2004 Robert Scheck <redhat@linuxnetz.de>
+- add 'Provides: Carp::Heavy' to fix a dependency problem
 * Mon Sep 15 2003 Chip Turner <cturner@redhat.com> 2:5.8.0-88.4
 - rebuild to include security fixes from errata

--- snapp ---

Expected results:
Use of the patch for the next perl rebuild for RHEL3 ;-)

Additional info:
I marked this issue only with a low priority, because RHEL3 doesn't 
have an perl module rpm which requires Carp::Heavy, so only third- 
party perl module rpms can cause this problem. Nevertheless it is a 
issue which should be fixed.
Comment 1 Steve Bonds 2005-10-14 13:55:41 EDT
I'd like to see this fixed as well.
Comment 2 Jason Vas Dias 2005-11-09 16:16:51 EST
OK, the next perl release for RHEL-3: perl-5.8.0-90.2
now 'Provides: perl(Carp::Heavy)' .
Comment 3 Robert Scheck 2006-05-26 11:07:19 EDT
Jason, I would like to close this bug report, as I verified it in Errata of 
perl-5.8.0-90.4, but Bugzilla is telling me:

"You tried to change the Status field from MODIFIED to CLOSED, but only the 
owner or submitter of the bug, or a sufficiently empowered user, may change
that field." - in fact I am the submitter of the bug...looks like a Bugzilla 
bug? ;-)

Note You need to log in before you can comment on or make changes to this bug.